Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1662501

Summary: Please build python3-bsddb3 for EPEL 7
Product: [Fedora] Fedora Reporter: Robert Scheck <redhat-bugzilla>
Component: python3-bsddb3Assignee: Jan Staněk <jstanek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: jstanek
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-26 00:48:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1663442    
Bug Blocks: 1435120    
Attachments:
Description Flags
Patch suggestion for python3-bsddb3.spec none

Description Robert Scheck 2018-12-29 01:27:32 UTC
Description of problem:
Please build python3-bsddb3 for EPEL 7 (I need the package as run-time dependency for the gramps package).

Version-Release number of selected component (if applicable):
python3-bsddb3-6.2.6-2.fc29

Actual results:
No python34-bsddb3 or python36-bsddb3 in EPEL 7

Expected results:
python3-bsddb34-6.2.6-2.el7, python3-bsddb36-6.2.6-2.el7 or better ;-)

Additional info:
Please let me know if you are not interested in maintaining the package on EPEL 7 branch.

Comment 1 Robert Scheck 2018-12-29 01:42:32 UTC
Created attachment 1517305 [details]
Patch suggestion for python3-bsddb3.spec

Comment 2 Jan Staněk 2019-01-04 11:35:53 UTC
Robert, thanks for the patch! I went and refactored the package in question to comply with the current recommended practices for Python (and EPEL) packages, which means I ended re-creating the patch instead of applying, but it gave me a head start -- so thanks again.

In order to "cleanly" support builds for multiple python versions, I ended up renaming the package to `python-bsddb3`, with subpackages generated for python{3,34,37,…}. However the rename requires a new package review [1]. Would you be interested in helping with that in order to speed up resolution of this bug?

Comment 3 Jan Staněk 2019-01-04 11:37:03 UTC
Forgot to actually link the review bug: https://bugzilla.redhat.com/show_bug.cgi?id=1663442

Comment 4 Fedora Update System 2019-01-08 13:10:34 UTC
python-bsddb3-6.2.6-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-31ccaa2539

Comment 5 Fedora Update System 2019-01-10 19:12:40 UTC
python-bsddb3-6.2.6-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-31ccaa2539

Comment 6 Fedora Update System 2019-01-26 00:48:55 UTC
python-bsddb3-6.2.6-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.